# $Revision: 1.11 $, $Date: 2012/04/11 16:45:47 $
Summary:	PyICU - Python extension wrapping IBM's ICU C++ API
Summary(pl.UTF-8):	PyICU - rozszerzenie Pythona obudowujące API C++ biblioteki ICU firmy IBM
Name:		python-pyicu
Version:	1.4
Release:	1
License:	MIT-like
Group:		Development/Languages/Python
Source0:	http://pypi.python.org/packages/source/P/PyICU/PyICU-%{version}.tar.gz
# Source0-md5:	2334712412aeb90555d1d0a3a39a9bbc
URL:		http://pyicu.osafoundation.org/
BuildRequires:	libicu-devel >= 3.6
BuildRequires:	libstdc++-devel
BuildRequires:	python-devel >= 1:2.3
BuildRequires:	python-modules
BuildRequires:	rpm-pythonprov
BuildRequires:	rpmbuild(macros) >= 1.219
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
PyICU is a Python extension wrapping IBM's ICU C++ API.

%description -l pl.UTF-8
PyICU to rozszerzenie Pythona obudowujące API C++ biblioteki ICU firmy
IBM.

%prep
%setup -q -n PyICU-%{version}

%build
CC="%{__cc}" \
CFLAGS="%{rpmcflags}" \
%{__python} setup.py build

%install
rm -rf $RPM_BUILD_ROOT
%{__python} setup.py install \
	--skip-build \
	--optimize=2 \
	--root=$RPM_BUILD_ROOT

%py_postclean

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc CHANGES CREDITS LICENSE README
%{py_sitedir}/PyICU.py[co]
%{py_sitedir}/docs.py[co]
%{py_sitedir}/icu.py[co]
%attr(755,root,root) %{py_sitedir}/_icu.so
%if "%{py_ver}" > "2.4"
%{py_sitedir}/PyICU-%{version}-py*.egg-info
%endif

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: python-pyicu.spec,v $
Revision 1.11  2012/04/11 16:45:47  qboosh
- updated to 1.4; supports icu 49

Revision 1.10  2011/10/30 14:02:57  qboosh
- updated to 1.3
- pl
- dropped use of module macro for the sole purpose of obscuring Name

Revision 1.9  2011/10/09 15:20:46  wiget
- up to 1.2

Revision 1.8  2011/10/09 10:23:52  arekm
- release 2

Revision 1.7  2011/03/20 19:15:48  wiget
- up to 1.1

Revision 1.6  2011/03/20 18:06:49  arekm
- release 3

Revision 1.5  2011/02/26 07:39:30  arekm
- release 2

Revision 1.4  2011/01/23 21:10:42  sparky
- added BR: python-modules, rpm-pythonprov

Revision 1.3  2010/09/22 14:39:36  glen
- up to 1.0, cleanup deps, fix group, update license

Revision 1.2  2010/09/22 14:21:14  glen
- files fix

Revision 1.1  2010/09/22 14:18:22  glen
- new, based on rpmforge list post
  http://lists.rpmforge.net/pipermail/users/2008-December/002149.html
